% Checkerboard generator (2-D)
% N - number of cluster per dimension
% M - number of points per cluster
% %
% B = mod(L,2);
% I1 = find(B == 0);
% I2 = find(B == 1);
% hold; plot(D(I1,1), D(I1,2),'rx'); plot(D(I2,1), D(I2,2),'bo');
% oSDLChecker= som_data_struct(D,'name','checkerboard','labels',cellstr(num2str(B)));
% oSDLCheckerN = som_normalize(oSDLChecker,'var');
function [D,L] = CreateCheckerBoard(N,M)
    iNumberOfClusters = N^2;
    D = zeros(iNumberOfClusters * M,2);
    L = zeros(iNumberOfClusters * M,1);
    vMeans = linspace(-100,100,N);
    dStd   = 1 * abs(vMeans(1)-vMeans(2));
    iOffSet = 1;
    iCounter = 1;
    for(i=1:N)
        for(k=1:N)
            x = 1.25*vMeans(i) + dStd .*rand(M,1);
            y = 1.25*vMeans(k) + dStd .*rand(M,1);
            D(iOffSet:iOffSet+M-1,:) = [x,y];
            L(iOffSet:iOffSet+M-1,:) = iCounter;
            iOffSet  = iOffSet + M;
            iCounter = iCounter + 1;
        end
    end
