clear 
% load demo data iris
load iris_test

% normalize N(0,1)
mD=bsxfun(@rdivide,bsxfun(@minus,D,mean(D)),std(D));

% generate rbf kernel 
K=rbf(mD,0.5);

% run 5fold cv with a kernel matrix (and given diagonals - all 1), C=100
[vModelResults,vClassifyResults] = crossvalidation_pvm(K, L, 5,ones(150,1),100);mean(vClassifyResults)  

% run 5fold cv with a kernel matrix (without diagonals) - more costly, C=100
[vModelResults,vClassifyResults] = crossvalidation_pvm(K, L, 5,[],100);mean(vClassifyResults);mean(vClassifyResults)  

fKernel = @(X,Y)K(X,Y);
% run 5fold cv with a function pointer to the kernel matrix (without diagonals) - more costly, C=100
% this is interesting if you have approximated your kernel or just want to
% provide the generating function because K may not fit into memory
% (evaluation on the fly)
[vModelResults,vClassifyResults] = crossvalidation_pvm(K, L, 5,[],100);mean(vClassifyResults);mean(vClassifyResults)  